## edu.cwru.SimpleRTS.model.unit.mobile
Class MobileUnit

    java.lang.Object
      edu.cwru.SimpleRTS.model.unit.Unit
          edu.cwru.SimpleRTS.model.unit.mobile.MobileUnit

    public class MobileUnit

extends Unit

Constructor Summary
`MobileUnit(MobileUnitTemplate template)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MobileUnit

    public MobileUnit(MobileUnitTemplate template)